<template lang="pug">
.row.x-detectors
  .col-12.col-xl-3.mb-1.order-xl-2(key='search')
    BaseCard.highlightOnFocus(title='Search' tabindex='-1' @keydown.enter.native.stop='doSearch')
      li(key='0')
        .row.b-param-container
          BaseParamInput.col-12(ref='name' :inEdit='true')
            template(v-slot:title)
              strong Name
              span.badge.bg-light.text-muted.float-right.align-self-center.shadow-sm(title='use * or ? wildcards') glob
          BaseParamInput.col-12(ref='daqName' :inEdit='true')
            template(v-slot:title)
              strong Daq Name
              span.badge.bg-light.text-muted.float-right.align-self-center.shadow-sm(title='use * or ? wildcards') glob
          BaseParamInput.col-12(ref='trecNumber' type='number' :inEdit='true' title='TREC Number')
        .row.no-gutters.mt-1
          button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch')
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            | Search
  .col-12.col-xl-9(key='results')
    BaseCard
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            button.btn.btn-primary.ml-1.x-add(v-if='isAdmin' @click="doAdd()" title='Add Detector')
              i.fa.fa-plus-square
      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr.text-center
              th #
              th Name
              th Daq Name
              th.d-md-table-cell.d-none TREC Number
          tbody
            router-link(:key='m.id' v-for='m in rows' tag='tr'
                        :to='{ path: m.id.toString() }' append='').clickable.text-center
              td {{ m.id }}
              td {{ m.name }}
              td {{ m.daqName }}
              td.d-md-table-cell.d-none {{ m.trecNumber }}
    AddDetectorDialog(ref='addDialog')
</template>
<script>
export { default } from './Detectors.vue.js';
</script>
